# sros_rollback – Configure Nokia SR OS rollback

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Configure the rollback feature on remote Nokia devices running the SR OS operating system. this module provides a stateful implementation for managing the configuration of the rollback feature

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
local_max_checkpoints - |  | The local_max_checkpoints argument configures the maximum number of rollback files that can be saved on the devices local compact flash. Valid values for this argument are in the range of 1 to 50
provider dictionary |  | A dict object containing connection details.
| host string / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password string |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port integer | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile path |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout integer | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username string |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
remote_max_checkpoints - |  | The remote_max_checkpoints argument configures the maximum number of rollback files that can be transferred and saved to a remote location. Valid values for this argument are in the range of 1 to 50
rescue_location - |  | The rescue_location specifies the location of the rescue file. This argument supports any valid local or remote URL as specified in SR OS
rollback_location - |  | The rollback_location specifies the location and filename of the rollback checkpoint files. This argument supports any valid local or remote URL as specified in SR OS

state
-

Choices:
- present ←
- absent

The state argument specifies the state of the configuration entries in the devices active configuration. When the state value is set to `true` the configuration is present in the devices active configuration. When the state value is set to `false` the configuration values are removed from the devices active configuration.

## Notes

Note

- For more information on using Ansible to manage Nokia SR OS Network devices see https://www.ansible.com/ansible-nokia.

## Examples

    # Note: examples below use the following provider dict to handle
    #       transport and authentication to the node.
    ---
    vars:
      cli:
        host: "{{ inventory_hostname }}"
        username: admin
        password: admin
        transport: cli

    ---
    - name: configure rollback location
      sros_rollback:
        rollback_location: "cb3:/ansible"
        provider: "{{ cli }}"

    - name: remove all rollback configuration
      sros_rollback:
        state: absent
        provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
updates list | always | The set of commands that will be pushed to the remote device Sample: ['...', '...']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Peter Sprygada (@privateip)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.